Bug 808254 - Review Request: twirssi - Allows you to post to Twitter from Irssi
Review Request: twirssi - Allows you to post to Twitter from Irssi
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 19:14 EDT by Julian C. Dunn
Modified: 2012-04-19 01:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: twirssi-2.5.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-14 00:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Julian C. Dunn 2012-03-29 19:14:15 EDT
Spec URL: http://fedorapeople.org/~jdunn/twirssi/twirssi.spec
SRPM URL: http://fedorapeople.org/~jdunn/twirssi/twirssi-2.5.1-1.fc18.src.rpm
Description: Twirssi allows you to post to Twitter and Identi.ca from Irssi
Comment 1 Ankur Sinha (FranciscoD) 2012-03-30 04:50:32 EDT
A cosmetic issue:

Wouldn't "An irssi script to interact with twitter" be a better summary? (It doesn't just post, does numerous other things too).
Comment 2 Petr Šabata 2012-03-30 08:18:58 EDT
I agree with Ankur.  The package summary should be changed (with Twitter capitalized).
Comment 3 Petr Šabata 2012-03-30 08:49:48 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[-]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[-]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
twirssi.noarch: W: no-documentation
twirssi.noarch: E: script-without-shebang /usr/share/irssi/scripts/twirssi.pl
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/808254/twirssi-2.5.1.pl :
  MD5SUM this package     : 70d82fa085cb857fe45d842639c85145
  MD5SUM upstream package : 70d82fa085cb857fe45d842639c85145
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
TODO: As mentioned above, change the package summary to something more meaningful.
NOTE: Upstream also has a README file in their repository. You could include that in %doc.
TODO: Ask upstream to include a copy of GPL2 in their repo and package it once they do so.
TODO: Require perl(Irssi::Irc)
FIX: The script gets installed with 0755 permissions instead of 0644.  'install' with '-m644'.
FIX: You should preserve the file timestamps.  'install' with '-p'.
NITPICK: There are some lines with trailing whitespace in your SPEC file.

Generated by fedora-review 0.2.0git
External plugins:
Comment 4 Julian C. Dunn 2012-04-04 00:48:10 EDT
http://fedorapeople.org/~jdunn/twirssi/twirssi.spec
http://fedorapeople.org/~jdunn/twirssi/twirssi-2.5.1-2.fc18.src.rpm

Fixed:

- Package summary is now more meaningful
- Included both upstream GPL and README as %doc items
- Requires: perl(Irssi::Irc)
- Permissions on script and doc files now 0644
- Install all docs and script with -p
- Fixed mixed-spaces-and-tabs and trailing whitespace in specfile
Comment 5 Petr Šabata 2012-04-04 08:04:42 EDT
Great, everything seems to be fixed.  Approving.
Comment 6 Julian C. Dunn 2012-04-04 10:25:43 EDT
New Package SCM Request
=======================
Package Name: twirssi
Short Description: An Irssi script to interact with Twitter
Owners: jdunn
Branches: f15 f16 f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-04-04 10:29:22 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-04-04 10:51:34 EDT
twirssi-2.5.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/twirssi-2.5.1-2.fc17
Comment 9 Fedora Update System 2012-04-04 10:59:57 EDT
twirssi-2.5.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/twirssi-2.5.1-2.fc16
Comment 10 Fedora Update System 2012-04-04 11:07:53 EDT
twirssi-2.5.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/twirssi-2.5.1-2.fc15
Comment 11 Fedora Update System 2012-04-05 14:28:09 EDT
twirssi-2.5.1-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-04-09 13:45:10 EDT
twirssi-2.5.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/twirssi-2.5.1-3.fc17
Comment 13 Fedora Update System 2012-04-09 13:52:42 EDT
twirssi-2.5.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/twirssi-2.5.1-3.fc16
Comment 14 Fedora Update System 2012-04-09 13:59:52 EDT
twirssi-2.5.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/twirssi-2.5.1-3.fc15
Comment 15 Fedora Update System 2012-04-14 00:35:03 EDT
twirssi-2.5.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-04-19 01:21:02 EDT
twirssi-2.5.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-04-19 01:21:35 EDT
twirssi-2.5.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.